Bug 111829 - ccm-tools needs a dependancy on /usr/sbin/alternatives
Summary: ccm-tools needs a dependancy on /usr/sbin/alternatives
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-10 17:51 UTC by Daniel Berrange
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 23:30:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-12-10 17:51:21 UTC
Description of problem:
If the /usr/sbin/alternatives command isn't present then the post
install scripts in ccm-tools-servlet-XXX fail. There are serveral
differnt RPMs which provides this command so the dependancy should be
on the binary rather than a particular RPM.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I am getting the following error while installing the
ccm-tools-servlet-resin-0.9.0-2.noarch.rpm RPM:

/var/tmp/rpm-tmp.33179: line 5: alternatives: command not found
error: %post(ccm-tools-servlet-resin-0.9.0-2) scriptlet failed, exit
status
127

Comment 1 Dennis Gregorovic 2003-12-11 23:30:04 UTC
@38742


Note You need to log in before you can comment on or make changes to this bug.